Loading...
Searching...
No Matches
STRINGS
Common

Functions to access and manipulate textual data. More...

Collaboration diagram for STRINGS:

## Data Structures

struct | oscap_text
| Representation of internationalizable character strings. More...
struct | oscap_stringlist
| A collection of strings. More...
struct | oscap_text_iterator
| Internationalized string iterator. More...
struct | oscap_string_iterator
| String iterator. More...
struct | oscap_stringlist_iterator
| Iterator over collections of strings. More...

## Functions

OSCAP_API struct oscap_text * | oscap_text::oscap_text_new (void)
| Create an internationalized text field.
OSCAP_API struct oscap_text * | oscap_text::oscap_text_clone (const struct oscap_text *text)
| Clone an internationalized text field.
OSCAP_API struct oscap_text * | oscap_text::oscap_text_new_html (void)
| Create an internationalized text field with HTML content.
OSCAP_API void | oscap_text::oscap_text_free (struct oscap_text *)
| Release an internationalized text field.

## Common language codes

OSCAP_API const char *const | OSCAP_LANG_ENGLISH
| English.
OSCAP_API const char *const | OSCAP_LANG_ENGLISH_US
| American English.
OSCAP_API const char *const | OSCAP_LANG_DEFAULT
| Default language (i.e. American English).

## Getters

Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct oscap_string_iterator * | oscap_stringlist::oscap_stringlist_get_strings (const struct oscap_stringlist *list)
OSCAP_API struct oscap_stringlist * | oscap_stringlist::oscap_stringlist_clone (struct oscap_stringlist *list)
OSCAP_API const char * | oscap_text::oscap_text_get_text (const struct oscap_text *text)
OSCAP_API const char * | oscap_text::oscap_text_get_lang (const struct oscap_text *text)
OSCAP_API char * | oscap_text::oscap_text_get_plaintext (const struct oscap_text *text)
| Get plaintext representation of the text.
OSCAP_API bool | oscap_text::oscap_text_get_is_html (const struct oscap_text *text)
| Does this text posses a HTML content?
OSCAP_API bool | oscap_text::oscap_text_get_can_substitute (const struct oscap_text *text)
| Can this text contain substitutions?
OSCAP_API bool | oscap_text::oscap_text_get_can_override (const struct oscap_text *text)
| Can this text override parent content?
OSCAP_API bool | oscap_text::oscap_text_get_overrides (const struct oscap_text *text)
| Does this text override parent content?

## Setters

For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | oscap_text::oscap_text_set_overrides (struct oscap_text *text, bool overrides)
| Set whether this text overrides parent content.
OSCAP_API bool | oscap_text::oscap_text_set_text (struct oscap_text *text, const char *string)
OSCAP_API bool | oscap_text::oscap_text_set_lang (struct oscap_text *text, const char *string)
OSCAP_API bool | oscap_stringlist::oscap_stringlist_add_string (struct oscap_stringlist *list, const char *str)
OSCAP_API struct oscap_stringlist * | oscap_stringlist::oscap_stringlist_new (void)
OSCAP_API void | oscap_stringlist::oscap_stringlist_free (struct oscap_stringlist *list)

## Iterators

OSCAP_API struct oscap_text * | oscap_text_iterator::oscap_text_iterator_next (struct oscap_text_iterator *it)
OSCAP_API bool | oscap_text_iterator::oscap_text_iterator_has_more (struct oscap_text_iterator *it)
OSCAP_API void | oscap_text_iterator::oscap_text_iterator_free (struct oscap_text_iterator *it)
OSCAP_API void | oscap_text_iterator::oscap_text_iterator_remove (struct oscap_text_iterator *it)
OSCAP_API void | oscap_text_iterator::oscap_text_iterator_reset (struct oscap_text_iterator *it)
OSCAP_API const char * | oscap_string_iterator::oscap_string_iterator_next (struct oscap_string_iterator *it)
OSCAP_API bool | oscap_string_iterator::oscap_string_iterator_has_more (struct oscap_string_iterator *it)
OSCAP_API void | oscap_string_iterator::oscap_string_iterator_free (struct oscap_string_iterator *it)
OSCAP_API void | oscap_string_iterator::oscap_string_iterator_remove (struct oscap_string_iterator *it)
OSCAP_API void | oscap_string_iterator::oscap_string_iterator_reset (struct oscap_string_iterator *it)
OSCAP_API struct oscap_stringlist * | oscap_stringlist_iterator::oscap_stringlist_iterator_next (struct oscap_stringlist_iterator *it)
OSCAP_API bool | oscap_stringlist_iterator::oscap_stringlist_iterator_has_more (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator::oscap_stringlist_iterator_free (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator::oscap_stringlist_iterator_remove (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator::oscap_stringlist_iterator_reset (struct oscap_stringlist_iterator *it)

## Detailed Description

Functions to access and manipulate textual data.

## Function Documentation

## oscap_text_clone()

OSCAP_API struct oscap_text * oscap_text_clone | ( | const struct oscap_text * | text | ) |

Clone an internationalized text field.

Parameters

  text | oscap_text structure to clone

## oscap_text_get_plaintext()

OSCAP_API char * oscap_text_get_plaintext | ( | const struct oscap_text * | text | ) |

Get plaintext representation of the text.

Caller is responsible for freeing returned string.

## oscap_text_new()

OSCAP_API struct oscap_text * oscap_text_new | ( | void |  | ) |

Create an internationalized text field.

Parameters

  lang | - language identifier (

See also
  oscap_text_lang)

Parameters

  encoding | - language encoding (

See also
  oscap_text_encoding)

## oscap_text_new_html()

OSCAP_API struct oscap_text * oscap_text_new_html | ( | void |  | ) |

Create an internationalized text field with HTML content.

Parameters

  lang | - language identifier (

See also
  oscap_text_lang)

Parameters

  encoding | - language encoding (

See also
  oscap_text_encoding)